# nng_http_res_free(3http) Manual Page

## NAME

nng_http_res_free - free HTTP response structure

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>

    void nng_http_res_free(nng_http_res *req);

## DESCRIPTION

The `nng_http_res_free()` function deallocates the HTTP response structure res entirely.

| Instead of freeing and reallocating response structures, it is possible to reuse res with `nng_http_res_reset()`.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_http_res_alloc(3http), nng_http_res_reset(3http), nng(7)